All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
HistogramRange
Statistical Operations

Primitives for computing the histogram of an image within specified ranges. More...

## HistogramEven

The histogram is computed according to the ranges provided in .

The histogram is defined as the total number of pixels that fall into the range: . The number of the histogram bins is . The functions require additional scratch buffer for computations.

### Common parameters for nppiHistogramEven functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pHist | Pointer to array that receives the computed histogram. The array must be of size nLevels-1.
  pLevels | Pointer to array containing the level sizes of the bins. The array must be of size nLevels.
  nLevels | Number of levels in histogram.
  pBuffer | Pointer to appropriately sized (nppiHistogramRangeGetBufferSize_XX_XXX) scratch buffer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus | nppiHistogramRange_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, const Npp32s *pLevels, int nLevels, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned HistogramRange. More...
NppStatus | nppiHistogramRange_8u_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, const Npp32s *pLevels, int nLevels, Npp8u *pBuffer)
NppStatus | nppiHistogramRange_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned HistogramRange. More...
NppStatus | nppiHistogramRange_8u_C3R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], const Npp32s *pLevels[4], int nLevels[4], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned HistogramRange. More...
NppStatus | nppiHistogramRange_8u_C4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], const Npp32s *pLevels[4], int nLevels[4], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned HistogramRange ignoring alpha channel. More...
NppStatus | nppiHistogramRange_8u_AC4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, const Npp32s *pLevels, int nLevels, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| One-channel 16-bit unsigned HistogramRange. More...
NppStatus | nppiHistogramRange_16u_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, const Npp32s *pLevels, int nLevels, Npp8u *pBuffer)
NppStatus | nppiHistogramRange_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Three-channel 16-bit unsigned HistogramRange. More...
NppStatus | nppiHistogramRange_16u_C3R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], const Npp32s *pLevels[4], int nLevels[4], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned HistogramRange. More...
NppStatus | nppiHistogramRange_16u_C4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], const Npp32s *pLevels[4], int nLevels[4], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned HistogramRange ignoring alpha channel. More...
NppStatus | nppiHistogramRange_16u_AC4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, const Npp32s *pLevels, int nLevels, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| One-channel 16-bit signed HistogramRange. More...
NppStatus | nppiHistogramRange_16s_C1R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, const Npp32s *pLevels, int nLevels, Npp8u *pBuffer)
NppStatus | nppiHistogramRange_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Three-channel 16-bit signed HistogramRange. More...
NppStatus | nppiHistogramRange_16s_C3R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], const Npp32s *pLevels[4], int nLevels[4], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit signed HistogramRange. More...
NppStatus | nppiHistogramRange_16s_C4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], const Npp32s *pLevels[4], int nLevels[4], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 16-bit signed HistogramRange. More...
NppStatus | nppiHistogramRange_16s_AC4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32s *pLevels[3], int nLevels[3], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, const Npp32f *pLevels, int nLevels, Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| One-channel 32-bit floating point HistogramRange. More...
NppStatus | nppiHistogramRange_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist, const Npp32f *pLevels, int nLevels, Npp8u *pBuffer)
NppStatus | nppiHistogramRange_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32f *pLevels[3], int nLevels[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Three-channel 32-bit floating point HistogramRange. More...
NppStatus | nppiHistogramRange_32f_C3R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32f *pLevels[3], int nLevels[3], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], const Npp32f *pLevels[4], int nLevels[4], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point HistogramRange. More...
NppStatus | nppiHistogramRange_32f_C4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[4], const Npp32f *pLevels[4], int nLevels[4], Npp8u *pBuffer)
NppStatus | nppiHistogramRange_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32f *pLevels[3], int nLevels[3], Npp8u *pBuffer, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point HistogramRange ignoring alpha channel. More...
NppStatus | nppiHistogramRange_32f_AC4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp32s *pHist[3], const Npp32f *pLevels[3], int nLevels[3], Npp8u *pBuffer)

## HistogramRangeGetBufferSize

Companion primitives for computing the device buffer size (in bytes) required by the HistogramRange primitives.
NppStatus | nppiHistogramRangeGetBufferSize_8u_C1R_Ctx (NppiSize oSizeROI, int nLevels, int *hpBufferSize)
| Scratch-buffer size for nppiHistogramRange_8u_C1R. More...
NppStatus | nppiHistogramRangeGetBufferSize_8u_C1R (NppiSize oSizeROI, int nLevels, int *hpBufferSize)
NppStatus | nppiHistogramRangeGetBufferSize_8u_C3R_Ctx (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
| Scratch-buffer size for nppiHistogramRange_8u_C3R. More...
NppStatus | nppiHistogramRangeGetBufferSize_8u_C3R (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
NppStatus | nppiHistogramRangeGetBufferSize_8u_C4R_Ctx (NppiSize oSizeROI, int nLevels[4], int *hpBufferSize)
| Scratch-buffer size for nppiHistogramRange_8u_C4R. More...
NppStatus | nppiHistogramRangeGetBufferSize_8u_C4R (NppiSize oSizeROI, int nLevels[4], int *hpBufferSize)
NppStatus | nppiHistogramRangeGetBufferSize_8u_AC4R_Ctx (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
| Scratch-buffer size for nppiHistogramRange_8u_AC4R. More...
NppStatus | nppiHistogramRangeGetBufferSize_8u_AC4R (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
NppStatus | nppiHistogramRangeGetBufferSize_16u_C1R_Ctx (NppiSize oSizeROI, int nLevels, int *hpBufferSize)
| Scratch-buffer size for nppiHistogramRange_16u_C1R. More...
NppStatus | nppiHistogramRangeGetBufferSize_16u_C1R (NppiSize oSizeROI, int nLevels, int *hpBufferSize)
NppStatus | nppiHistogramRangeGetBufferSize_16u_C3R_Ctx (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
| Scratch-buffer size for nppiHistogramRange_16u_C3R. More...
NppStatus | nppiHistogramRangeGetBufferSize_16u_C3R (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
NppStatus | nppiHistogramRangeGetBufferSize_16u_C4R_Ctx (NppiSize oSizeROI, int nLevels[4], int *hpBufferSize)
| Scratch-buffer size for nppiHistogramRange_16u_C4R. More...
NppStatus | nppiHistogramRangeGetBufferSize_16u_C4R (NppiSize oSizeROI, int nLevels[4], int *hpBufferSize)
NppStatus | nppiHistogramRangeGetBufferSize_16u_AC4R_Ctx (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
| Scratch-buffer size for nppiHistogramRange_16u_AC4R. More...
NppStatus | nppiHistogramRangeGetBufferSize_16u_AC4R (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
NppStatus | nppiHistogramRangeGetBufferSize_16s_C1R_Ctx (NppiSize oSizeROI, int nLevels, int *hpBufferSize)
| Scratch-buffer size for nppiHistogramRange_16s_C1R. More...
NppStatus | nppiHistogramRangeGetBufferSize_16s_C1R (NppiSize oSizeROI, int nLevels, int *hpBufferSize)
NppStatus | nppiHistogramRangeGetBufferSize_16s_C3R_Ctx (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
| Scratch-buffer size for nppiHistogramRange_16s_C3R. More...
NppStatus | nppiHistogramRangeGetBufferSize_16s_C3R (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
NppStatus | nppiHistogramRangeGetBufferSize_16s_C4R_Ctx (NppiSize oSizeROI, int nLevels[4], int *hpBufferSize)
| Scratch-buffer size for nppiHistogramRange_16s_C4R. More...
NppStatus | nppiHistogramRangeGetBufferSize_16s_C4R (NppiSize oSizeROI, int nLevels[4], int *hpBufferSize)
NppStatus | nppiHistogramRangeGetBufferSize_16s_AC4R_Ctx (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
| Scratch-buffer size for nppiHistogramRange_16s_AC4R. More...
NppStatus | nppiHistogramRangeGetBufferSize_16s_AC4R (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
NppStatus | nppiHistogramRangeGetBufferSize_32f_C1R_Ctx (NppiSize oSizeROI, int nLevels, int *hpBufferSize)
| Scratch-buffer size for nppiHistogramRange_32f_C1R. More...
NppStatus | nppiHistogramRangeGetBufferSize_32f_C1R (NppiSize oSizeROI, int nLevels, int *hpBufferSize)
NppStatus | nppiHistogramRangeGetBufferSize_32f_C3R_Ctx (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
| Scratch-buffer size for nppiHistogramRange_32f_C3R. More...
NppStatus | nppiHistogramRangeGetBufferSize_32f_C3R (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
NppStatus | nppiHistogramRangeGetBufferSize_32f_C4R_Ctx (NppiSize oSizeROI, int nLevels[4], int *hpBufferSize)
| Scratch-buffer size for nppiHistogramRange_32f_C4R. More...
NppStatus | nppiHistogramRangeGetBufferSize_32f_C4R (NppiSize oSizeROI, int nLevels[4], int *hpBufferSize)
NppStatus | nppiHistogramRangeGetBufferSize_32f_AC4R_Ctx (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)
| Scratch-buffer size for nppiHistogramRange_32f_AC4R. More...
NppStatus | nppiHistogramRangeGetBufferSize_32f_AC4R (NppiSize oSizeROI, int nLevels[3], int *hpBufferSize)

## Detailed Description

Primitives for computing the histogram of an image within specified ranges.

## Function Documentation

NppStatus nppiHistogramRange_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit signed HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit signed HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit signed HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit signed HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned HistogramRange ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit unsigned HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit unsigned HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32f * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32f * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point HistogramRange ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | const Npp32f * | pLevels,
|  | int | nLevels,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | const Npp32f * | pLevels,
|  | int | nLevels,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 32-bit floating point HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32f * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32f * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit floating point HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | const Npp32f * | pLevels[4],
|  | int | nLevels[4],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | const Npp32f * | pLevels[4],
|  | int | nLevels[4],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned HistogramRange ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist,
|  | const Npp32s * | pLevels,
|  | int | nLevels,
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[3],
|  | const Npp32s * | pLevels[3],
|  | int | nLevels[3],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRange_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | Npp8u * | pBuffer
| ) |  |

NppStatus nppiHistogramRange_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp32s * | pHist[4],
|  | const Npp32s * | pLevels[4],
|  | int | nLevels[4],
|  | Npp8u * | pBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned HistogramRange.

For common parameter descriptions, see Common parameters for nppiHistogramEven functions.

NppStatus nppiHistogramRangeGetBufferSize_16s_AC4R | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramRangeGetBufferSize_16s_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

Scratch-buffer size for nppiHistogramRange_16s_AC4R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramRangeGetBufferSize_16s_C1R | ( | NppiSize | oSizeROI,
|  | int | nLevels,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramRangeGetBufferSize_16s_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels,
|  | int * | hpBufferSize
| ) |  |

Scratch-buffer size for nppiHistogramRange_16s_C1R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramRangeGetBufferSize_16s_C3R | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramRangeGetBufferSize_16s_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

Scratch-buffer size for nppiHistogramRange_16s_C3R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramRangeGetBufferSize_16s_C4R | ( | NppiSize | oSizeROI,
|  | int | nLevels[4],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramRangeGetBufferSize_16s_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[4],
|  | int * | hpBufferSize
| ) |  |

Scratch-buffer size for nppiHistogramRange_16s_C4R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramRangeGetBufferSize_16u_AC4R | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramRangeGetBufferSize_16u_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

Scratch-buffer size for nppiHistogramRange_16u_AC4R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramRangeGetBufferSize_16u_C1R | ( | NppiSize | oSizeROI,
|  | int | nLevels,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramRangeGetBufferSize_16u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels,
|  | int * | hpBufferSize
| ) |  |

Scratch-buffer size for nppiHistogramRange_16u_C1R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramRangeGetBufferSize_16u_C3R | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramRangeGetBufferSize_16u_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

Scratch-buffer size for nppiHistogramRange_16u_C3R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramRangeGetBufferSize_16u_C4R | ( | NppiSize | oSizeROI,
|  | int | nLevels[4],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramRangeGetBufferSize_16u_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[4],
|  | int * | hpBufferSize
| ) |  |

Scratch-buffer size for nppiHistogramRange_16u_C4R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramRangeGetBufferSize_32f_AC4R | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramRangeGetBufferSize_32f_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

Scratch-buffer size for nppiHistogramRange_32f_AC4R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramRangeGetBufferSize_32f_C1R | ( | NppiSize | oSizeROI,
|  | int | nLevels,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramRangeGetBufferSize_32f_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels,
|  | int * | hpBufferSize
| ) |  |

Scratch-buffer size for nppiHistogramRange_32f_C1R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramRangeGetBufferSize_32f_C3R | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramRangeGetBufferSize_32f_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

Scratch-buffer size for nppiHistogramRange_32f_C3R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramRangeGetBufferSize_32f_C4R | ( | NppiSize | oSizeROI,
|  | int | nLevels[4],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramRangeGetBufferSize_32f_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[4],
|  | int * | hpBufferSize
| ) |  |

Scratch-buffer size for nppiHistogramRange_32f_C4R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramRangeGetBufferSize_8u_AC4R | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramRangeGetBufferSize_8u_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

Scratch-buffer size for nppiHistogramRange_8u_AC4R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramRangeGetBufferSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | int | nLevels,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramRangeGetBufferSize_8u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels,
|  | int * | hpBufferSize
| ) |  |

Scratch-buffer size for nppiHistogramRange_8u_C1R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramRangeGetBufferSize_8u_C3R | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramRangeGetBufferSize_8u_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[3],
|  | int * | hpBufferSize
| ) |  |

Scratch-buffer size for nppiHistogramRange_8u_C3R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

NppStatus nppiHistogramRangeGetBufferSize_8u_C4R | ( | NppiSize | oSizeROI,
|  | int | nLevels[4],
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiHistogramRangeGetBufferSize_8u_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int | nLevels[4],
|  | int * | hpBufferSize
| ) |  |

Scratch-buffer size for nppiHistogramRange_8u_C4R.

For common parameter descriptions, see Common parameters for nppiHistogramEvenGetBufferSize functions.

Copyright © 2009-2020 NVIDIA Corporation